# WorldEditSelectionVisualizer configuration

# When enabled, if a new update is available it will display a message in the console on enable
check-updates: true

# You can edit the plugin messages here
messages:
  no-permissions: "&cYou don't have the permission to use this command."
  config-reloaded: "&aThe config was reloaded."
  selection-too-large: "&6The visualizer only works with selections up to a size of %blocks% blocks."
  visualizer-enabled: "&6Your visualizer has been &aenabled&6."
  visualizer-disabled: "&6Your visualizer has been &cdisabled&6."
  visualizer-clipboard-enabled: "&6Your clipboard visualizer has been &aenabled&6."
  visualizer-clipboard-disabled: "&6Your clipboard visualizer has been &cdisabled&6."
  lock-enabled: "&6Clipboard origin lock is now &aenabled &6at your current position. Use &3/wesv lock tp &6to return to this position."
  lock-disabled: "&6Clipboard origin lock is now &cdisabled&6."
  lock-no-position: "&cClipboard origin lock isn't enabled&6."

# When enabled, if a player disables the selection visualization and leaves the server, when he will
# come back, the selection visualization will be still disabled until he activates it again with /wesv toggle.
save-toggle: true

# The default enabled values for visualization, used for new players or when 'save-toggle' is set to false
default-enabled:
  selection: true
  clipboard: false

# Delay in ticks when the WorldEdit selection and clipboard are updated.
# This doesn't affect particles spawning and players performances.
# The server impact is medium
selection-update-interval: 20

# When enabled, the particles are displayed only when holding the WorldEdit selection wand item (by default a wooden axe)
# You can change the WorldEdit wand item in the WorldEdit configuration
need-we-wand: false

# When enabled, top and bottom particles will be displayed for cuboid selections
cuboid-top-bottom: false

# Settings for visualization
# 'selection': The WorldEdit current selection
# 'clipboard': The WorldEdit clipboard (when you use //copy or //schem load )
# 'primary': The primary selection points (the region borders)
# 'secondary': The secondary selection points
# 'origin': The selection origin point (position 1 for cuboid selection, and center for ellipsoid/cylinders)
#   'fade-delay': The number of seconds before the particles disappears. You can set it to 0 to remove the fade delay
#   'max-selection-size' : The maximum size of a selection to be display. A big value (> 1000000) can cause important lags
#   'points-distance': The distance between each particles. The higher this number is, less particles will be spawn
#   'lines-gap' (secondary selection only): The distance between each particles lines on cuboid and polygon. The higher this number is, less particles will be spawn. Set it to 0 to remove cuboid lines
#   'update-interval': The delay in ticks between particles spawn. This impact the players performances
#   'view-distance':  The maximum distance in which players can see the particles. On 1.7.10 the particle distance is limited to 16 (Minecraft limitation)
#   'particles': The particles type and data. The data can be a color for redstone like in the form 'r,g,b' or a Material for block crack/item crack
#     The particle types are available on https://hub.spigotmc.org/javadocs/spigot/org/bukkit/Particle.html
visualization:
  selection:
    fade-delay: 0
    max-selection-size: 50000
    primary:
      points-distance: 1.0
      update-interval: 12
      view-distance: 64
      particles:
        type: "FLAME"
        data: ""
    secondary:
      points-distance: 3.0
      lines-gap: 5.0
      update-interval: 18
      view-distance: 32
      particles:
        type: "REDSTONE"
        data: "RED"
    origin:
      update-interval: 15
      view-distance: 64
      particles:
        type: "VILLAGER_HAPPY"
        data: ""
  clipboard:
    fade-delay: 0
    max-selection-size: 50000
    primary:
      points-distance: 1.0
      update-interval: 12
      view-distance: 64
      particles:
        type: "FLAME"
        data: ""
    secondary:
      points-distance: 3.0
      lines-gap: 5.0
      update-interval: 18
      view-distance: 32
      particles:
        type: "REDSTONE"
        data: "BLUE"
    origin:
      update-interval: 15
      view-distance: 64
      particles:
        type: "VILLAGER_HAPPY"
        data: ""
